Subject: bug#14659: 24.3.50; `modify-frame-parameters' raises error for font returned by `xs-list-fonts'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 18:37:18 +0100

Drew Adams <[email-masked]> writes:

> Not sure there is a bug here, but I think so.
>
> (x-list-fonts "*") returns a list containing this XLFD font name
> (and two other names that are similar):
> "-outline-DFKai-SB-normal-normal-normal-script-*-*-*-*-c-*-iso8859-1".
>
> That is not a valid XFLD name (e.g., it contains 15, not 14, hyphens).

I tried this on this Debian laptop:

(loop for font in (x-list-fonts "*")
      unless (= (loop for char across font
		   when (= char ?-)
		   sum 1)
		14)
      do (insert font "\n"))

and there were no fonts returned by the function that's invalid in this
way.  I don't know whether that's because I just don't have any such
font, or whether x-list-fonts has been fixed not to return these invalid
font strings.

Are you still seeing this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no